Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79070 - setserial(8) fails on USB-connected serial ports
Summary: setserial(8) fails on USB-connected serial ports
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL: n/a
Whiteboard:
Depends On:
Blocks: 78984
TreeView+ depends on / blocked
 
Reported: 2002-12-05 11:30 UTC by MIchael Kolmodin
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-17 17:11:18 UTC


Attachments (Terms of Use)

Description MIchael Kolmodin 2002-12-05 11:30:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021016

Description of problem:
Using a serial port connected via USB, setserial fails with the message
"Cannot get serial info: Invalid argument" for all comands.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect a serial port to the USB bus, verify it's up&running.
2.Issue any setserial <USB-port> command.
3. Watch the error message
	

Actual Results:  Error message as described above

Expected Results:  Either functionality as described in the setserial(8)
manpage, or a decent error message saying that this kind of device isn't supported
by setserial.

Additional info:

If setserial isn't implemented for these devices, the documentation must be
overhauled. In particular, the description for how to set up 
pppd relies on a working setserial.

Comment 1 Pete Zaitcev 2003-08-08 20:58:11 UTC
May I look at /proc/bus/usb/devices?


Comment 2 Pete Zaitcev 2004-01-17 17:11:18 UTC
No time to write the code for that feature. Bug the author...
Wontfix-ing.



Note You need to log in before you can comment on or make changes to this bug.